Name:           livesys-scripts
Version:        0.4.3
Release:        2%{?dist}
Summary:        Scripts for auto-configuring live media during boot

License:        GPLv3+
URL:            https://pagure.io/livesys-scripts
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  systemd-rpm-macros
BuildRequires:  make

BuildArch:      noarch
Patch1:         0001-Patch-livesys-scripts-according-to-r9-kickstarts.patch


%description
%{summary}.

This package is a patched version of the Fedora Project's package.

%prep
%autosetup -p 1


%build
# Nothing to do

%install
%make_install

# Make ghost files
mkdir -p %{buildroot}%{_sharedstatedir}/livesys
touch %{buildroot}%{_sharedstatedir}/livesys/livesys-session-extra
touch %{buildroot}%{_sharedstatedir}/livesys/livesys-session-late-extra


%preun
%systemd_preun livesys.service livesys-late.service


%post
%systemd_post livesys.service livesys-late.service


%postun
%systemd_postun livesys.service livesys-late.service


%files
%license COPYING
%doc README.md
%config(noreplace) %{_sysconfdir}/sysconfig/livesys
%{_libexecdir}/livesys/
%{_unitdir}/livesys*
%dir %{_sharedstatedir}/livesys
%ghost %{_sharedstatedir}/livesys/livesys-session-extra
%ghost %{_sharedstatedir}/livesys/livesys-session-late-extra


%changelog
* Wed Feb 14 2024 Louis Abel <label@resf.org> - 0.4.3-2
- Bring livesys-scripts into extras from Fedora Project.
  We do not use EPEL for all live images. sig/core#11
- Patch the scripts with Rocky specific changes
